CREATE TABLE cmp_tcs_stock_history_tl (
    STOCK_HISTORY_ID              NUMBER(18, 0),
    PERD_RUN_ID                   NUMBER(18, 0),
    GRANT_DATE_LABEL              VARCHAR2(960),
    STOCK_SYMBOL_LABEL            VARCHAR2(960),
    GRANT_NUMBER_LABEL            VARCHAR2(960),
    GRANT_NAME_LABEL              VARCHAR2(960),
    GRANT_TYPE_LABEL              VARCHAR2(960),
    TOTAL_SHRS_LABEL              VARCHAR2(960),
    SHRS_GRANTED_LABEL            VARCHAR2(960),
    XRCISE_PRICE_LABEL            VARCHAR2(960),
    GRANT_PRICE_LABEL             VARCHAR2(960),
    GRANT_VALUE_LABEL             VARCHAR2(960),
    CANCELLED_SHRS_LABEL          VARCHAR2(960),
    REASON_CODE_LABEL             VARCHAR2(960),
    CLASS_TYPE_LABEL              VARCHAR2(960),
    EST_MKT_VAL_LABEL             VARCHAR2(960),
    MISC_LABEL                    VARCHAR2(960),
    EST_VALUE_LABEL               VARCHAR2(960),
    VST_EST_UNEX_MKT_VAL_LABEL    VARCHAR2(960),
    VST_SHRS_LABEL                VARCHAR2(960),
    VST_EX_LABEL                  VARCHAR2(960),
    VST_UNEX_LABEL                VARCHAR2(960),
    VST_EST_VAL_LABEL             VARCHAR2(960),
    VST_EST_MKT_VAL_LABEL         VARCHAR2(960),
    VST_EST_UNEX_VAL_LABEL        VARCHAR2(960),
    UNVST_SHRS_LABEL              VARCHAR2(960),
    UNVST_EST_VAL_LABEL           VARCHAR2(960),
    UNVST_EST_MKT_VAL_LABEL       VARCHAR2(960),
    EXPIRE_DATE_LABEL             VARCHAR2(960),
    VEST_DATE_LABEL               VARCHAR2(960),
    EXERCISE_DATE_LABEL           VARCHAR2(960),
    CANCEL_DATE_LABEL             VARCHAR2(960),
    MISC1_LABEL                   VARCHAR2(960),
    MISC2_LABEL                   VARCHAR2(960),
    MISC3_LABEL                   VARCHAR2(960),
    MISC4_LABEL                   VARCHAR2(960),
    MISC5_LABEL                   VARCHAR2(960),
    MISC_NUM1_LABEL               VARCHAR2(960),
    MISC_NUM2_LABEL               VARCHAR2(960),
    MISC_NUM3_LABEL               VARCHAR2(960),
    MISC_NUM4_LABEL               VARCHAR2(960),
    MISC_NUM5_LABEL               VARCHAR2(960),
    LANGUAGE                      VARCHAR2(16) ,
    SOURCE_LANG                   VARCHAR2(16)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    BUSINESS_GROUP_ID             NUMBER(18, 0),
    STOCK_HISTORY_ID              NUMBER(18, 0),
    PERD_RUN_ID                   NUMBER(18, 0),
    GRANT_DATE_LABEL              VARCHAR2(960),
    STOCK_SYMBOL_LABEL            VARCHAR2(960),
    GRANT_NUMBER_LABEL            VARCHAR2(960),
    GRANT_NAME_LABEL              VARCHAR2(960),
    GRANT_TYPE_LABEL              VARCHAR2(960),
    TOTAL_SHRS_LABEL              VARCHAR2(960),
    SHRS_GRANTED_LABEL            VARCHAR2(960),
    XRCISE_PRICE_LABEL            VARCHAR2(960),
    GRANT_PRICE_LABEL             VARCHAR2(960),
    GRANT_VALUE_LABEL             VARCHAR2(960),
    CANCELLED_SHRS_LABEL          VARCHAR2(960),
    REASON_CODE_LABEL             VARCHAR2(960),
    CLASS_TYPE_LABEL              VARCHAR2(960),
    EST_MKT_VAL_LABEL             VARCHAR2(960),
    MISC_LABEL                    VARCHAR2(960),
    EST_VALUE_LABEL               VARCHAR2(960),
    VST_EST_UNEX_MKT_VAL_LABEL    VARCHAR2(960),
    VST_SHRS_LABEL                VARCHAR2(960),
    VST_EX_LABEL                  VARCHAR2(960),
    VST_UNEX_LABEL                VARCHAR2(960),
    VST_EST_VAL_LABEL             VARCHAR2(960),
    VST_EST_MKT_VAL_LABEL         VARCHAR2(960),
    VST_EST_UNEX_VAL_LABEL        VARCHAR2(960),
    UNVST_SHRS_LABEL              VARCHAR2(960),
    UNVST_EST_VAL_LABEL           VARCHAR2(960),
    UNVST_EST_MKT_VAL_LABEL       VARCHAR2(960),
    EXPIRE_DATE_LABEL             VARCHAR2(960),
    LANGUAGE                      VARCHAR2(16) ,
    SOURCE_LANG                   VARCHAR2(16)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    BUSINESS_GROUP_ID             NUMBER(18, 0),
    VEST_DATE_LABEL               VARCHAR2(960),
    EXERCISE_DATE_LABEL           VARCHAR2(960),
    CANCEL_DATE_LABEL             VARCHAR2(960),
    MISC1_LABEL                   VARCHAR2(960),
    MISC2_LABEL                   VARCHAR2(960),
    MISC3_LABEL                   VARCHAR2(960),
    MISC4_LABEL                   VARCHAR2(960),
    MISC5_LABEL                   VARCHAR2(960),
    MISC_NUM1_LABEL               VARCHAR2(960),
    MISC_NUM2_LABEL               VARCHAR2(960),
    MISC_NUM3_LABEL               VARCHAR2(960),
    MISC_NUM4_LABEL               VARCHAR2(960),
    MISC_NUM5_LABEL               VARCHAR2(960),
    CONSTRAINT pk_cmp_tcs_stock_history_tl PRIMARY KEY (STOCK_HISTORY_ID, PERD_RUN_ID, LANGUAGE, BUSINESS_GROUP_ID, STOCK_HISTORY_ID, PERD_RUN_ID, LANGUAGE, BUSINESS_GROUP_ID)
);
